curl-1.3.8: Haskell binding to libcurl

Copyright | (c) 2007-2009 Galois Inc
License | BSD3
Maintainer | Sigbjorn Finne <sof@galois.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Network.Curl.Info

Description

Accessing the properties of a curl handle's current state/request.

# Documentation

data Info #

Constructors

EffectiveUrl |
ResponseCode |
TotalTime |
NameLookupTime |
ConnectTime |
PreTransferTime |
SizeUpload |
SizeDownload |
SpeedDownload |
SpeedUpload |
HeaderSize |
RequestSize |
SslVerifyResult |
Filetime |
ContentLengthDownload |
ContentLengthUpload |
StartTransferTime |
ContentType |
RedirectTime |
RedirectCount |
Private |
HttpConnectCode |
HttpAuthAvail |
ProxyAuthAvail |
OSErrno |
NumConnects |
SslEngines |
CookieList |
LastSocket |
FtpEntryPath |

#### Instances

Instances details

Bounded Info # |
Instance details Defined in Network.Curl.Info Methods minBound :: Info # maxBound :: Info #
Enum Info # |
Instance details Defined in Network.Curl.Info Methods succ :: Info -> Info # pred :: Info -> Info # toEnum :: Int -> Info # fromEnum :: Info -> Int # enumFrom :: Info -> [Info] # enumFromThen :: Info -> Info -> [Info] # enumFromTo :: Info -> Info -> [Info] # enumFromThenTo :: Info -> Info -> Info -> [Info] #
Show Info # |
Instance details Defined in Network.Curl.Info Methods showsPrec :: Int -> Info -> ShowS # show :: Info -> String # showList :: [Info] -> ShowS #

data InfoValue #

Constructors

IString String |
ILong Long |
IDouble Double |
IList [String] |

#### Instances

Instances details

Show InfoValue # |
Instance details Defined in Network.Curl.Info Methods showsPrec :: Int -> InfoValue -> ShowS # show :: InfoValue -> String # showList :: [InfoValue] -> ShowS #

getInfo :: Curl -> Info -> IO InfoValue #